[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.Items

Index-based access to the elements in the list.

## Declaration

Source position: contnrs.pp line 111

`public property TComponentList.Items: TComponent read GetItems write SetItems; default;`

## Description

Items provides access to the components in the list using an index. It simply overrides the default property of the parent classes so it returns/accepts TComponent instances only. Note that the index is zero based.

## See also

TObjectList.Items |  | Indexed access to the elements of the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.